%% Print LaTeX files of results
%
% "Strategic Interaction in Tax Policies Among States"
% by Ruben Hernandez-Murillo. (2003)
%

ccasesw= {'actr'};
hk=1;

% Initialize strings

bb1_='Constant ';
bb1_t=' ';
bb2_='Population ';
bb2_t=' ';
bb3_='Percent urban population ';
bb3_t=' ';
bb4_='Unemployment rate ';
bb4_t=' ';
bb5_='Percapita real personal income ';
bb5_t=' ';
bb6_='Average monthly temperature ';
bb6_t=' ';
bb7_='Percent working-age population ';
bb7_t=' ';
rho_='$\rho$ ';
rho_t=' ';
lam_='$\lambda$ ';
sig_='$\sigma_{\epsilon}^2$ ';
r2_='$R^2$ ';
nos_='No. of obs. ';
lmrl_='$LM_{\rho\lambda}$ & ';
lmrst_='$LM^{*}_{\rho}$ & ';
lmlst_='$LM^{*}_{\lambda}$ & ';
lmgmm_='$LM^{GMM}_{\rho}$ & ';

ccasew=char(ccasesw{hk});
eval(['load ',ccasew,'_results_4']);
eval(['betaols = ',ccasew,'_ols.beta;']);
eval(['zstatols = ',ccasew,'_ols.tstat;']);
eval(['r2ols = ',ccasew,'_ols.rsqr;']);
eval(['sigmaols = ',ccasew,'_ols.sige;']);
eval(['nobsols = ',ccasew,'_ols.nobs;']);

bb1_ =  [bb1_, ' & ', n2s(betaols(1))];
bb1_t=  [bb1_t,' & ',t2s(zstatols(1))];
bb2_ =  [bb2_, ' & ', n2s(betaols(2))];
bb2_t=  [bb2_t,' & ',t2s(zstatols(2))];
bb3_ =  [bb3_, ' & ', n2s(betaols(3))];
bb3_t=  [bb3_t,' & ',t2s(zstatols(3))];
bb4_ =  [bb4_, ' & ', n2s(betaols(4))];
bb4_t=  [bb4_t,' & ',t2s(zstatols(4))];
bb5_ =  [bb5_, ' & ', n2s(betaols(5))];
bb5_t=  [bb5_t,' & ',t2s(zstatols(5))];
bb6_ =  [bb6_, ' & ', n2s(betaols(6))];
bb6_t=  [bb6_t,' & ',t2s(zstatols(6))];
bb7_ =  [bb7_, ' & ', n2s(betaols(7))];
bb7_t=  [bb7_t,' & ',t2s(zstatols(7))];
rho_ =  [rho_, ' & '];
rho_t=  [rho_t,' & '];
lam_ =  [lam_, ' & '];
sig_ =  [sig_, ' & ', n2s(sigmaols)];
r2_  =  [r2_,  ' & ', n2s(r2ols) ];
nos_ =  [nos_, ' & ', n2s(nobsols)]; 



depvar='Average Tax Rate';

for hi=1:3;
for hj=1:4;


if hi<3
hhi=hi;
hhj=hj-1;
else
hhi=0;
hhj=hj-1;
end;

if hi==3 & hj==1;
disp('Empty case')
else
[hhi hhj hk]

eval(['betakro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.beta;']);
eval(['zstatkro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.zstats;']);
eval(['rhokro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.rho;']);
eval(['lamkro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.lambda;']);
eval(['sigmakro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.sigma2;']);
eval(['r2kro = ',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.r2;']);
eval(['nobskro = size(',ccasew,'_krob_w',noblanks(num2str([hhi,hhj])),'.yhat,1);']);

eval(['ols_lmboth=',ccasew,'_lm_ols_w',noblanks(num2str([hhi,hhj])),'.both.stat;']);
eval(['ols_lmrho=',ccasew,'_lm_ols_w',noblanks(num2str([hhi,hhj])), '.rho.stat;']);
eval(['ols_lmlam=',ccasew,'_lm_ols_w' ,noblanks(num2str([hhi,hhj])), '.lam.stat;']);
eval(['gmm_lm = ',ccasew,'_lm_saa_w' ,noblanks(num2str([hhi,hhj])),'.stat;']);


bb1_ =  [bb1_, ' & ', n2s(betakro(1))];
bb1_t=  [bb1_t,' & ',t2s(zstatkro(2))];
bb2_ =  [bb2_, ' & ', n2s(betakro(2))];
bb2_t=  [bb2_t,' & ',t2s(zstatkro(3))];
bb3_ =  [bb3_, ' & ', n2s(betakro(3))];
bb3_t=  [bb3_t,' & ',t2s(zstatkro(4))];
bb4_ =  [bb4_, ' & ', n2s(betakro(4))];
bb4_t=  [bb4_t,' & ',t2s(zstatkro(5))];
bb5_ =  [bb5_, ' & ', n2s(betakro(5))];
bb5_t=  [bb5_t,' & ',t2s(zstatkro(6))];
bb6_ =  [bb6_, ' & ', n2s(betakro(6))];
bb6_t=  [bb6_t,' & ',t2s(zstatkro(7))];
bb7_ =  [bb7_, ' & ', n2s(betakro(7))];
bb7_t=  [bb7_t,' & ',t2s(zstatkro(8))];
rho_ =  [rho_, ' & ', n2s(rhokro)];
rho_t=  [rho_t,' & ',t2s(zstatkro(1))];
lam_ =  [lam_, ' & ', n2s(lamkro)];
sig_ =  [sig_, ' & ', n2s(sigmakro)];
r2_  =  [r2_,  ' & ', n2s(r2kro) ];
nos_ =  [nos_, ' & ', n2s(nobskro)]; 

lmrl_=  [lmrl_,' & ',x2s(ols_lmboth,2)];
lmrst_= [lmrst_,' & ',x2s(ols_lmrho,1)];
lmlst_= [lmlst_,' & ',x2s(ols_lmlam,1)];
lmgmm_= [lmgmm_,' & ',x2s(gmm_lm,1)];

end;  %if
end;  %hi
end;  %hj

bb1_ =  [bb1_,' \\'];
bb1_t=  [bb1_t,' \\'];
bb2_ =  [bb2_,' \\'];
bb2_t=  [bb2_t,' \\'];
bb3_ =  [bb3_,' \\'];
bb3_t=  [bb3_t,' \\'];
bb4_ =  [bb4_,' \\'];
bb4_t=  [bb4_t,' \\'];
bb5_ =  [bb5_,' \\'];
bb5_t=  [bb5_t,' \\'];
bb6_ =  [bb6_,' \\'];
bb6_t=  [bb6_t,' \\'];
bb7_ =  [bb7_,' \\'];
bb7_t=  [bb7_t,' \\'];
rho_ =  [rho_,' \\'];
rho_t=  [rho_t,' \\'];
lam_ =  [lam_,' \\'];
sig_ =  [sig_,' \\'];
r2_  =  [r2_,' \\'];
nos_ =  [nos_,' \\'];

lmrl_=  [lmrl_,' \\'];
lmrst_= [lmrst_,' \\'];
lmlst_= [lmlst_,' \\'];
lmgmm_= [lmgmm_,' \\'];


form='%s\n';
eval(['fid=fopen(''table_',ccasew,'.tex'',','''w'');']);

fprintf(fid,form,'\begin{tabular}{lrrrrrrrrrrrr}');
fprintf(fid,form,'\hline');
fprintf(fid,form,'\hline');
eval(['fprintf(fid,form,''\multicolumn{5}{c}{Dependent Variable: ',depvar, '}\\'');']);
fprintf(fid,form,'\hline');
titles1='Variables & $OLS$ & $W_{1.}$ & $W_{11}$ & $W_{12}$ & $W_{13}$ & $W_{2.}$ & $W_{21}$ & $W_{22}$ & $W_{23}$';
titles2='& $W_{.1}$ & $W_{.2}$ & $W_{.3}$ \\';
fprintf(fid,form,[titles1,titles2]);
fprintf(fid,form,'\hline');
fprintf(fid,form,'\hline');
fprintf(fid,form,bb1_);
fprintf(fid,form,bb1_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb2_);
fprintf(fid,form,bb2_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb3_);
fprintf(fid,form,bb3_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb4_);
fprintf(fid,form,bb4_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb5_);
fprintf(fid,form,bb5_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb6_);
fprintf(fid,form,bb6_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,bb7_);
fprintf(fid,form,bb7_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,rho_);
fprintf(fid,form,rho_t);
fprintf(fid,form,'\hline');
fprintf(fid,form,lam_);
fprintf(fid,form,sig_);
fprintf(fid,form,'\hline');
fprintf(fid,form,lmrl_);
fprintf(fid,form,lmrst_);
fprintf(fid,form,lmlst_);
fprintf(fid,form,lmgmm_);
fprintf(fid,form,'\hline');
fprintf(fid,form,r2_);
fprintf(fid,form,nos_);
fprintf(fid,form,'\hline');
fprintf(fid,form,'\hline');
fprintf(fid,form,'\end{tabular}');
fclose(fid);

eval(['clear ',ccasew,'*']);


% Create test file. Run latex to see results table.
% Requires rotating package

fid0=fopen('tables.tex','w');
fprintf(fid0,form,'\documentclass{article}');
fprintf(fid0,form,'\usepackage{rotating}');
fprintf(fid0,form,'\begin{document}');
fprintf(fid0,form,'\input{des_stat_actr}');

fprintf(fid0,form,'\begin{sidewaystable}');
fprintf(fid0,form,'\input{table_actr}');
fprintf(fid0,form,'\end{sidewaystable}');

fprintf(fid0,form,'\end{document}');
fclose(fid0);




