function M=wregions(statelist,Regions)   

% PURPOSE: Produces a matrix of size length(statelist)^2 with 1 and 0
% indicating whether the column state is in the same Region as the row state
% REQUIRES: database Regions (cell array of strings)
% Uses set operations
% Ruben Hernandez-Murillo. (2003)



J=zeros(length(statelist),length(Regions));
for i=1:length(Regions);
	J(:,i)=ismember(statelist,Regions{i})*i;
end;
J=sum(J,2);
M=zeros(length(statelist));
for i=1:length(statelist);
	if J(i)~=0;
		M(:,i)=ismember(statelist,setdiff(Regions{J(i)},statelist(i)));
	else
		M(:,i)=0;
	end;
end;