function s = x2s(k,q);

% Prints asterisks in latex file for one-tail significance test using chi-squared with q d.f.
% Ruben Hernandez-Murillo. (2003)


if k<0 & abs(k-0.0)>1e-5
  	error('statistic is too negative')
end


[sk junk]=sprintf('%8.2f',abs(k));

pr=(1-chi2cdf(k,q));

if pr<=0.01
ast='$^{***}$';
elseif pr>0.01 & pr<=0.05
ast='$^{**}$';
elseif pr>0.05 & pr<=0.10
ast='$^{*}$';
else
ast='';
end;

s=[ast,sk];



